/*
 * Copyright 2005-2012 Schlichtherle IT Services
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package de.schlichtherle.license.wizard;
import de.schlichtherle.license.LicenseContent;

/**
 * Fired when a license certificate has been successfully installed.
 *
 * @author Christian Schlichtherle
 * @version $Id$
 */
public class LicenseInstalledEvent extends java.util.EventObject {
    private static final long serialVersionUID = 1L;
    
    private final LicenseContent content;
    
    /**
     * Creates a new instance of LicenseInstalledEvent.
     *
     * @param content The license content that has been successfully installed.
     */
    public LicenseInstalledEvent(Object source, LicenseContent content) {
        super(source);
        this.content = content;
    }
    
    public LicenseContent getContent() {
        return content;
    }
}
