/*
 * Copyright 2005-2012 Schlichtherle IT Services
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package de.schlichtherle.license.wizard;

import com.nexes.wizard.Wizard;
import com.nexes.wizard.WizardPanelDescriptor;
import de.schlichtherle.license.LicenseManager;
import java.awt.Dialog;
import java.awt.Frame;

/**
 * This is the internationalised license management wizard class.
 * It can be used to install and verify licenses visually for the
 * application's user.
 *
 * @author Christian Schlichtherle
 * @version $Id$
 */
public class LicenseWizard extends Wizard {
    
    /** Creates a new instance of LicenseWizard */
    public LicenseWizard(LicenseManager manager) {
        init(manager);
    }

    /** Creates a new instance of LicenseWizard */
    public LicenseWizard(LicenseManager manager, Dialog owner) {
        super(owner);
        init(manager);
    }

    /** Creates a new instance of LicenseWizard */
    public LicenseWizard(LicenseManager manager, Frame owner) {
        super(owner);
        init(manager);
    }

    private void init(final LicenseManager manager) {
        WizardPanelDescriptor descriptor1
                = new WelcomePanel.Descriptor(manager);
        registerWizardPanel(
                WelcomePanel.Descriptor.IDENTIFIER, descriptor1);

        WizardPanelDescriptor descriptor2
                = new InstallPanel.Descriptor(manager);
        registerWizardPanel(
                InstallPanel.Descriptor.IDENTIFIER, descriptor2);

        WizardPanelDescriptor descriptor3
                = new LicensePanel.Descriptor(manager);
        registerWizardPanel(
                LicensePanel.Descriptor.IDENTIFIER, descriptor3);

        WizardPanelDescriptor descriptor4
                = new UninstallPanel.Descriptor(manager);
        registerWizardPanel(
                UninstallPanel.Descriptor.IDENTIFIER, descriptor4);

        setCurrentPanel(WelcomePanel.Descriptor.IDENTIFIER);
    }
}
